<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
    PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.taais.biz.mapper.AlgorithmDataProcessMapper">
    <resultMap id="AlgorithmDataProcessResultMap" type="com.taais.biz.domain.vo.AlgorithmDataProcessVo">
        <id property="id" column="id" />
        <result property="subTaskId" column="sub_task_id" />
        <result property="name" column="name" />
        <result property="type" column="type" />
        <result property="status" column="status" />
        <result property="algorithmId" column="algorithm_id" />
        <result property="parameters" column="parameters" />
        <result property="resultPath" column="result_path" />
        <result property="preprocessPath" column="preprocess_path" />
        <result property="index" column="index" />
        <result property="startTime" column="start_time" />
        <result property="endTime" column="end_time" />
        <result property="costSecond" column="cost_second" />
        <result property="log" column="log" />
        <result property="createBy" column="create_by" />
        <result property="createTime" column="create_time" />
        <result property="updateBy" column="update_by" />
        <result property="updateTime" column="update_time" />
        <result property="remarks" column="remarks" />
    </resultMap>

    <select id="getProcessBySubtaskId" resultMap="AlgorithmDataProcessResultMap">
        select * from algorithm_data_process where sub_task_id = #{value} and status = '0' order by index asc
    </select>

</mapper>
